> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Networks New

> Lists org networks with token types, hiding networks without enabled tokens unless includeDisabled.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-networks-new
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-networks-new:
    post:
      operationId: getNetworksNew
      summary: Get Networks New
      x-toku-required-scope: wallets:read
      description: >-
        Lists org networks with token types, hiding networks without enabled
        tokens unless includeDisabled.


        Required scope: `wallets:read`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetNetworksNewRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetNetworksNewResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetNetworksNewRequest:
      type: object
      properties:
        includeDisabled:
          type: boolean
    GetNetworksNewResponse:
      type: object
      properties:
        networks:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              networkID:
                type:
                  - string
                  - 'null'
              orgID:
                type:
                  - string
                  - 'null'
              name:
                type:
                  - string
                  - 'null'
              icon:
                type:
                  - string
                  - 'null'
              tokenType:
                type:
                  - string
                  - 'null'
              isNetworkEnabled:
                type:
                  - boolean
                  - 'null'
              chainType:
                type:
                  - string
                  - 'null'
              meshConnectNetworkID:
                type:
                  - string
                  - 'null'
              rpcUrlConfigured:
                type:
                  - boolean
                  - 'null'
              evmChainID:
                type:
                  - number
                  - 'null'
              multiSendCallOnlyAddress:
                type:
                  - string
                  - 'null'
              safeSingletonAddress:
                type:
                  - string
                  - 'null'
              safeFactoryAddress:
                type:
                  - string
                  - 'null'
              safeAppBaseUrl:
                type:
                  - string
                  - 'null'
              safeTxServiceUrl: {}
              blockExplorerBaseUrl:
                type:
                  - string
                  - 'null'
              eipsName:
                type:
                  - string
                  - 'null'
              aleoTransferVisibility: {}
              defaultNetworkSlugUrl:
                type:
                  - string
                  - 'null'
              catalogChainID:
                type:
                  - string
                  - 'null'
              TokenType:
                type:
                  - array
                  - 'null'
                items:
                  type: object
                  additionalProperties: {}
              tokenTypes:
                type:
                  - array
                  - 'null'
                items:
                  type: object
                  additionalProperties: {}
            required:
              - safeTxServiceUrl
              - aleoTransferVisibility
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
